#coding:utf-8
import time
import sys
from nna import *

"""Демонстрация использования классов-оберток Sensor, DM и BMP180(), описанных
в модуле nna
:author: OldBean
16.10.2018"""

# Создаем объект - цифровой модуль
dm = DM(addr = 0x15)
if dm is None:
  print('Не удалось создать объект класса DM')
  sys.exit(1)
# Создаем датчики (объекты-сенсоры)
hts = Sensor(coef = 0.0625, unit = '°C') # Датчик температуры в кубе
cts = Sensor(coef = 0.0625, unit = '°C') # Датчик температуры в колонне
dts = Sensor(coef = 0.0625, unit = '°C') # Датчик температуры в дефлегматоре
wts = Sensor(coef = 0.0625, unit = '°C') # Датчик температуры в ТСА
con = Sensor(coef = 1) # Концевик
tcon = Sensor(coef = 1) # Термоконтакт
hps = Sensor(coef = 0.0733, unit = 'mm Hg') # Датчик кубового даления
# Добавляем датчики к цифровому модулю. Здесь:
# ch - номер канала цифрового модуля, к которому подключен датчик
# sensor - объект класса Sensor соотвествующего датчика
dm.addSensor(ch = 0, sensor = hts)
dm.addSensor(ch = 1, sensor = cts)
dm.addSensor(ch = 2, sensor = dts)
dm.addSensor(ch = 3, sensor = wts)
dm.addSensor(ch = 4, sensor = con)
dm.addSensor(ch = 6, sensor = hps)
dm.addSensor(ch = 7, sensor = tcon)
# Создаем объект - датчик атмосферного давления и температуры
apt = BMP180() 
if apt is None:
  print('Не удалось создать объект класса BMP180')
  sys.exit(1)
# Актуализируем данные с цифрового модуля
dm.update()
# Распечатаем актуализированные данные цифрового модуля
print(dm) 
# Примеры конкретных данных
print('Температура в кубе: % 3.3f %s'%(hts.v, hts.u))
print('Давление в кубе: % 3.3f %s'%(hps.v, hps.u)) # Распечаем значение давления в кубе 
print('Атмосферное давление: %3.1f mm Hg'%(apt.p))
print('Температура окружающего воздуха: %2.3f °C'%(apt.t))
